/*
LTCore GIS API Styles
v.1.5 (27.10.2023)
Created by Max S. & Co.
*/

#lt-geo-window *:not(.lt-geo-search) {
    margin:0;
    padding:0;
    color:#818181;
}

#lt-geo-window a {
    text-decoration: none;
}

#lt-geo-window {
    z-index:9999999999;
    font-family: -apple-system, BlinkMacSystemFont, 'Roboto', Tahoma, Arial, Helvetica, sans-serif !important;
    font-size: 14px !important;
    line-height: 1.2em;
    width: -webkit-calc(100% - 50px);
    width:    -moz-calc(100% - 50px);
    width:         calc(100% - 50px);
    height: -webkit-calc(100% - 50px);
    height:    -moz-calc(100% - 50px);
    height:         calc(100% - 50px);
    background: #fafafa;
    box-shadow: 1px 3px 16px rgba(0,0,0,0.36);
    border: 1px solid #ebebeb;
    color: #333;
    border-radius: 1em;
    padding: 1em;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
}

#lt-geo-window > h1, #lt-geo-window > h2 {
    font-size: 1.1em;
    line-height: 1.1em;
    font-weight:bold;
    color:#df7111 !important;
    cursor: default;
    text-shadow: -1px -1px 1px rgba(255,255,255,.1), 1px 1px 1px rgba(0,0,0,.05);
}
#lt-geo-window > h2 {
    margin: 4px 0 0 0 !important;
    color:#333 !important;
}
.lt-geo-wnd-bottom-btn {
    margin-top: 11px !important;
}
#lt-geo-window > .lt-geo-window-closer {
    font-size:1.5em;
    color:grey;
}
button.lt-geo-btn {
    cursor: pointer !important;
    align-items: center !important;
    padding: 4px 10px !important;
    font-family: -apple-system, BlinkMacSystemFont, 'Roboto', sans-serif !important;
    font-size:12px !important;
    border-radius: 6px !important;
    border: none !important;
    background: #818181 !important;
    box-shadow: 0px 0.5px 1px rgba(0, 0, 0, 0.1), inset 0px 0.5px 0.5px rgba(255, 255, 255, 0.5), 0px 0px 0px 0.5px rgba(0, 0, 0, 0.12) !important;
    color: white !important;
    user-select: none !important;
    -webkit-user-select: none !important;
    touch-action: manipulation !important;
    line-height: 20px !important;
}
button.lt-geo-btn:focus {
    box-shadow: inset 0px 0.8px 0px -0.25px rgba(255, 255, 255, 0.2), 0px 0.5px 1px rgba(0, 0, 0, 0.1), 0px 0px 0px 3.5px rgba(58, 108, 217, 0.5) !important;;
    outline: 0 !important;;
}
button.lt-geo-btn:hover {
    background: #919191 !important;
}
button.lt-geo-btn-ok {
    background: #35ba5a !important;
}
button.lt-geo-btn-ok:hover {
    background: #41c967 !important;
}


#lt-geo-window .autoComplete_wrapper > input::placeholder {
    color: rgb(33 33 33 / 45%);
    opacity: 1; /* Firefox */
}
#lt-geo-window .autoComplete_wrapper > input::-ms-input-placeholder { /* Edge 12 -18 */
    color: rgb(33 33 33 / 45%);
}

#lt-geo-window .autoComplete_wrapper {
    margin-bottom: 5px !important;
    margin-top: 10px !important;
}

input.lt-geo-search {
    width: 100% !important;
    font-size: 1.4em !important;
    border: 1px solid rgb(33 33 33 / 45%) !important;
    border-radius: 4px !important;
    -webkit-border-radius: 4px !important;
    outline: none !important;
    margin: 0 !important;
    padding: 10px !important;
    height: 38px !important;
    line-height: 38px !important;
    color: #333 !important;
    box-sizing: border-box !important;
    -webkit-transition: border linear .2s,box-shadow linear .2s;
    -moz-transition: border linear .2s,box-shadow linear .2s;
    -o-transition: border linear .2s,box-shadow linear .2s;
    transition: border linear .2s,box-shadow linear .2s;
}
input.lt-geo-search:focus {
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.075), 0 0 8px rgb(147 147 147 / 38%) !important;
    -webkit-transition: border linear .2s,box-shadow linear .2s;
    -moz-transition: border linear .2s,box-shadow linear .2s;
    -o-transition: border linear .2s,box-shadow linear .2s;
    transition: border linear .2s,box-shadow linear .2s;
}
.lt-geo-map {
    width: 100%;
    height: -webkit-calc(100% - 144px);
    height:    -moz-calc(100% - 144px);
    height:         calc(100% - 144px);
}
.autoComplete_wrapper {
    width: 100% !important;
}
.autoComplete_wrapper > ul {
    width: 100%;
}
.autoComplete_wrapper > ul > li {
    color: #333 !important;
    padding: 6px 10px !important;
}
.autoComplete_wrapper > ul > li > div {
    font-size:8pt !important;
    color: #9a9a9a !important;
}

.ol-viewport {
    border-radius: 4px;
}

.lt-geo-map-hint {
    display: none;
    position: absolute;
    background-color: white !important;
    box-shadow: 0 1px 4px rgba(0,0,0,0.2) !important;
    padding: 10px !important;
    border-radius: 10px !important;
    border: 1px solid #cccccc !important;
    max-width: 260px !important;
    color: red !important;
}

/* Popup */
.ol-popup {
    position: absolute;
    background-color: white;
    box-shadow: 0 1px 4px rgba(0,0,0,0.2);
    padding: 10px !important;
    border-radius: 10px;
    border: 1px solid #cccccc;
    bottom: 12px;
    left: -135px;
    width: 270px;
    cursor:default;
}
.ol-popup h1 {
    font-size: 12pt;
}
.ol-popup h3 {
    font-size: 10pt;
}
.lt-geo-popup-main, .lt-geo-popup-comments {
    font-size:8pt;
    line-height:8pt;
}
.lt-geo-popup-main {
    margin-top: 4px !important;
}
.lt-geo-popup-comments {
    margin-top: 7px !important;
}
.lt-geo-popup-address {
    font-size:10pt;
    font-weight:bold;
    color:#333 !important;
    margin-bottom: 4px !important;
}
input.lt-geo-popup {
    height: 20px;
}
input.lt-geo-popup, textarea.lt-geo-popup {
    padding: 0 3px !important;
    outline: none;
    border: 1px solid #999 !important;
    border-radius: 3px;
    color: #333 !important;
    vertical-align: baseline !important;
    line-height: 1.2em;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
}

/* отключаем увеличение на iphone */
input.lt-geo-popup:not(:disabled), textarea.lt-geo-popup:not(:disabled) {
    font-size: 16px;
}
@media (min-width: 768px) {
    input.lt-geo-popup:not(:disabled), textarea.lt-geo-popup:not(:disabled) {
        font-size: 14px;
    }
}

input.lt-geo-popup:disabled, textarea.lt-geo-popup:disabled {
    border:1px solid white !important;
    background: inherit;
    cursor:default !important;
}
input.lt-geo-popup-street {
    width:220px;
}
textarea.lt-geo-popup-comments {
    margin-top:4px !important;
    width:260px;
    min-width:260px;
    max-width:260px;
    min-height:18px;
    height:40px;
    max-height:50px;
    font-family: inherit !important;
}
input.lt-geo-popup-house, input.lt-geo-popup-apartment {
    width:65px;
}
input.lt-geo-required {
    background-color: #ffe8c1;
}
.lt-geo-popup-footer {
    margin-top:9px !important;
    margin-bottom:5px !important;
}
.ol-popup:after, .ol-popup:before {
    top: 100%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}
.ol-popup:after {
    border-top-color: white;
    border-width: 10px;
    left: 135px;
    margin-left: -10px;
}
.ol-popup:before {
    border-top-color: #cccccc;
    border-width: 11px;
    left: 135px;
    margin-left: -11px;
}
.ol-popup-closer {
    text-decoration: none;
    position: absolute;
    top: 12px;
    right: 12px;
}
.ol-popup-closer:after {
    content: "✖";
}
/* // Popup */

.ol-scale-line-inner {
    line-height: 12px !important;
}

.ol-control-geolocation {
    z-index: 1000;
    left: 0.5em;
    top:20em;
}

